Bulk Update Campaigns

Bulk update multiple campaigns (using a single API request).
You can also use a network account to bulk update campaigns across the network.

See also:

Rate limit: Tier 4
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

The request object must include 2 properties:

  1. campaigns - a list of Campaign IDs to update (passed as numbers).
  2. update - an object containing the fields to update. (It must be a supported field - see below.)

Supported fields

📘

Although name is a supported field, we recommend giving each campaign a unique name.

🚧

Guidelines

  1. Use the POST verb.
  2. Limit each request to a maximum of 200 campaigns.
  3. For each request, the API will skip any unsupported fields, and attempt to update the others.
  4. If any fields are read-only, a 400 response is returned. Otherwise, a 200 response is returned, regardless of any skipped fields (see previous point).
  5. By default, if the update operation fails for 1 campaign, then no campaigns will be updated. To override this behavior, pass ?is_atomic=false.
🚧

This endpoint supports the network account

You can use a network account to update campaigns across the network:
POST backstage/api/1.0/{network-account}/campaigns/bulk-update

For more information about the network account see: Network Accounts.

Example

{
   "campaigns": [
      1001,
      1002,
      1003
   ],
   "update": {
      "spending_limit": 2000,
      "cpc": 2,
      "is_active": false
   },
   "country_targeting": {
      "type": "INCLUDE",
      "value": [
         "AU",
         "GB"
      ]
   },
   "platform_targeting": {
      "type": "INCLUDE",
      "value": [
         "TBLT",
         "PHON"
      ]
   }
}
📘

See also

Rate limit

🚧

Rate limit

Tier 4. Bulk-updating campaigns has its own budget, separate from the rest of the campaign endpoints.

See Rate limits for the request allowance each tier carries.

Path Params
string
required

An alphabetic ID. See Get Account Details.

Query Params
boolean

If the update operation fails for 1 campaign, then no campaigns will be updated.
To override this default behavior, pass is_atomic=false.

Body Params
json
required
Defaults to { "campaigns": [ 1004, 1005, 1006 ], "update": { "spending_limit": 2000, "cpc": 2.0, "is_active": false } }

A JSON object describing the campaigns and fields to update. (See examples.)

Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Choose an example:
application/json